#include <iostream>
#include "Stapel.h"      // statischer Speicher 
#include "Schlange.h"    // dynamischer Speicher
using namespace std;
int main() {
	Stapel<int> stack1;
	Schlange<int> queue1;
	for (int i = 0; i < 10; i++) {
		stack1.push(i);
		queue1.enq(i);
	}
	Stapel<int> stack2 = stack1;
	Schlange<int> queue2 = queue1;
	while (!stack1.empty()) stack1.pop();
	while (!queue1.empty()) queue1.deq();
	while (!stack2.empty()) { 
		cout << stack2.top() << endl; 
		stack2.pop();
	}
	while (!queue2.empty()) { 
		cout << queue2.front() << endl; 
		queue2.deq();
	}
	return 0;
}
